stages:
  - test
  - build
  - deploy

include:
  - local: isort.yml
  - local: black.yml
  - local: mypy.yml
  - local: pyroma.yml
  - local: pytest.yml
  - local: setuptools.yml
  - local: twine.yml
  - local: vulture.yml

variables:
  PYTHON_PACKAGE_DIR: "python_pipeline"
